const execSync = require('child_process').execSync;
const open = require('open');
const yaml = require('yamljs');
const fs = require('fs');
var path = require('path');
const readline = require('readline');

var defaultSmartIDEPort=3000;
var defaultSmartIDEImage="smartide-registry.cn-beijing.cr.aliyuncs.com/library/smartide-node:latest";
var defaultSmartIDEName="smartide"

const rl = readline.createInterface({
  input: process.stdin,
  output: process.stdout
});




    rl.on('close', () => {
        console.log('end')
        process.exit(0)
    })
  
  function writeFile (fileName, data) {
    return new Promise((rs, rj) => {
      if (!fileName || !data) return rj()
      fs.writeFile(fileName, data, err => {
        if (err){
            console.log(fileName, '写入出错!')
        }
        else{
            console.log(`SmartIDE配置文件生成成功,文件路径：${fileName}`);
            console.log('请运行以下命令开始开发！');
            console.log('smartide run');
        }
        rs()
      })
    })
  }

function question (title) {
    return new Promise((rs, rj) => {
      rl.question(title, data => {
        rs(data)
      })
    })
  }

async function generateConfigFile(configFile){
    smartIDEImage = await question(`请输入您要使用的SmartIDE环境镜像地址 (默认值:${defaultSmartIDEImage}): `)
    smartIDEName = await question(`请输入当前项目的工作区名称 (默认值:${defaultSmartIDEName}):`)
    smartIDEPort = await question(`清输入SmartIDE的环境端口 (默认值:${defaultSmartIDEPort}):`)
    if(!smartIDEImage){smartIDEImage=defaultSmartIDEImage};
    if(!smartIDEName){smartIDEName=defaultSmartIDEName};
    if(!smartIDEPort){smartIDEPort=defaultSmartIDEPort};


    var templateConfigFile=`
apiVersion: smartide/v1
SmartIDE:
  containers:
  - image: ${smartIDEImage}
    name: ${smartIDEName}
    ports:
    - SmartIDEPort: ${smartIDEPort}
`;
    await writeFile(configFile, templateConfigFile)
    rl.close()
}
module.exports = {
    generateConfigFile
}