const execSync = require('child_process').execSync;
const open = require('open');
const yaml = require('yamljs');
const fs = require('fs');
var path = require('path');


//default values
var SmartIDEPort=3000;
var SmartIDEImage="smartide-registry.cn-beijing.cr.aliyuncs.com/library/smartide-node:latest";
var SmartIDEName="smartide"


function runContainer(configFile) {
    try
    {
        var yamlConfig = yaml.load(configFile);
        var jsonStr=JSON.stringify(yamlConfig);
        var smartIDE=JSON.parse(jsonStr,null);
        SmartIDEPort=smartIDE.SmartIDE.containers[0].ports[0].SmartIDEPort;
        SmartIDEImage=smartIDE.SmartIDE.containers[0].image;
        SmartIDEName=smartIDE.SmartIDE.containers[0].name;      

    }
    catch(err)
    {
       console.log("配置文件检索失败，将使用默认方式启动SmartIDE环境!");
    }
    finally
    {
        open(`http://localhost:${SmartIDEPort}`);
        var cmd = `docker run -i --user root --name=${SmartIDEName} --init -p ${SmartIDEPort}:3000 --expose 3001 -p 3001:3001 -v "$(pwd):/home/project" ${SmartIDEImage} --inspect=0.0.0.0:3001`;
        execSync(cmd, {stdio: 'inherit'});
    }
}

module.exports = {
    runContainer
}