#!/usr/bin/env node
const program = require('commander');
const term = require('terminal-kit').terminal;
const pkg = require('./package.json');
var path = require('path');
const initCommnad = require('./commands/init.js');
const runCommnad = require('./commands/run.js');
const startCommnad = require('./commands/start.js');
const stopCommnad = require('./commands/stop.js');
const removeCommnad = require('./commands/remove.js');

var configFile=path.resolve('./.ide.yaml');


program
.command(`init`)
.description('快速初始化SmartIDE配置文件')
.action((options) => {
    initCommnad.generateConfigFile(configFile);
});

// 配置command
program
.command(`run`)
.description('快速创建并启动SmartIDE开发环境')
.action((options) => {
    runCommnad.runContainer(configFile);
});


program
.command(`start`)
.description('启动SmartIDE开发环境')
.action((options) => {
    startCommnad.startContainer(configFile);
});

program
.command(`stop`)
.description('停止SmartIDE开发环境')
.action((options) => {
    stopCommnad.stopContainer(configFile);
    
});

program
.command(`remove`)
.description('彻底删除SmartIDE开发环境')
.action((options) => {
    removeCommnad.removeContainer(configFile);
});





// 配置 cli 信息，版本、cli说明等
program
.version(pkg.version)
.description(term.yellow('SmartIDE  开发从未如此简单  https://smartide.cn'));
console.log();

// 接管命令行输入，参数处理
program.parse(process.argv);
